# PhasicFlow: src/phasicFlow/Kokkos/baseAlgorithmsFwd_.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

baseAlgorithmsFwd_.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , typename... properties>
void | insertSetElementH (ViewType1D< T, properties... > &view, hostViewType1D< label > &selected, T val)
template<typename T , typename... properties>
void | insertSetElementH (ViewType1D< T, properties... > &view, hostViewType1D< label > &selected, hostViewType1D< T > &vals)
template<typename T , typename... properties>
void | insertSetElementD (ViewType1D< T, properties... > &view, deviceViewType1D< label > &selected, T val)
template<typename T , typename... properties>
void | insertSetElementD (ViewType1D< T, properties... > &view, deviceViewType1D< label > &selected, deviceViewType1D< T > &vals)

## Function Documentation

## insertSetElementH() [1/2]

void insertSetElementH | ( | ViewType1D< T, properties... > & | view,
|  | hostViewType1D< label > & | selected,
|  | T | val
| ) |  |

## insertSetElementH() [2/2]

void insertSetElementH | ( | ViewType1D< T, properties... > & | view,
|  | hostViewType1D< label > & | selected,
|  | hostViewType1D< T > & | vals
| ) |  |

## insertSetElementD() [1/2]

void insertSetElementD | ( | ViewType1D< T, properties... > & | view,
|  | deviceViewType1D< label > & | selected,
|  | T | val
| ) |  |

## insertSetElementD() [2/2]

void insertSetElementD | ( | ViewType1D< T, properties... > & | view,
|  | deviceViewType1D< label > & | selected,
|  | deviceViewType1D< T > & | vals
| ) |  |